#+ELEVENTY_COLLECTIONS: _posts
#+ELEVENTY_BASE_DIR: ~/proj/static-blog/
#+ELEVENTY_CATEGORIES+: emacs
#+ELEVENTY_LAYOUT: layouts/post
#+ELEVENTY_BASE_URL: https://sachachua.com
* TODO Change Org Mode TODO keyword color based on the state and the current Modus theme
:PROPERTIES:
:CUSTOM_ID: my-org-todo-set-keyword-faces
:EXPORT_DATE: 2024-10-14T17:02:45-0400
:EXPORT_ELEVENTY_PERMALINK: /blog/2024/10/change-org-mode-todo-keyword-color-based-on-the-state-and-the-current-modus-theme/
:EXPORT_ELEVENTY_FILE_NAME: blog/2024/10/change-org-mode-todo-keyword-color-based-on-the-state-and-the-current-modus-theme/
:END:

I use ~modus-theme-toggle~ to switch between
~modus-vivendi-tinted~ and ~modus-operandi-tinted~
depending on whether I want a dark background or a
light one. I also customize my
~org-todo-keyword-faces~ to visually distinguish
TODO, DONE, WAITING, and SOMEDAY. This is how to
colour them based on the current Modus theme.

#+begin_src emacs-lisp
(defun my-org-todo-set-keyword-faces ()
	(setq org-todo-keyword-faces
				`(("TODO" . (:foreground ,(modus-themes-get-color-value 'blue-warmer) :weight bold))
					("DONE" . (:foreground ,(modus-themes-get-color-value 'green-warmer) :weight bold))
					("WAITING" . (:foreground ,(modus-themes-get-color-value 'red-warmer) :weight bold))
					("SOMEDAY" . (:foreground ,(modus-themes-get-color-value 'fg-dim) :weight bold))))
	(when (derived-mode-p 'org-mode)
		(font-lock-fontify-buffer)))
(with-eval-after-load 'modus-themes
	(add-hook 'modus-themes-after-load-theme-hook #'my-org-todo-set-keyword-faces))
#+end_src

#+CAPTION: Light background
#+ATTR_HTML: :data-link t
file:/home/sacha/recordings/2024-10-14-17-21-48.svg

#+ATTR_HTML: :data-link t
#+CAPTION: Dark background
[[file:/home/sacha/recordings/2024-10-14-17-22-31.svg]]


